/***************************************************************************
                           vldef.h  -  description
                            -------------------
    begin                : Wed Oct 09 2002
    copyright            : (C) 2002 by Fabian Wenzel
    email                : wenzel@tu-harburg.de

***************************************************************************/

/***************************************************************************
 *                                                                         *
 * This file is released under the the terms of the VistaLab public        *
 * License V1.5. See file COPYING for details.                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _VLDEF_H
#define _VLDEF_H

// for error functions

#include <string>

#ifdef WIN32

#ifdef _MSC_VER
#pragma warning(disable : 4267 4786 4275)
#pragma warning(disable : 4251)
#define snprintf _snprintf

// The version of the program
#define VERSION "3.1.5"

// For correct DLL handling under Windows
#define VISTALABMODULEEXPORT __declspec( dllexport)

#else

#define VISTALABMODULEEXPORT

#endif

#ifdef VISTALAB_BASEEXPORT
#define VISTALABBASEEXPORT __declspec( dllexport )
#else
#ifdef VISTALAB_BASEIMPORT
#define VISTALABBASEEXPORT __declspec( dllimport )
#else
#define VISTALABBASEEXPORT
#endif
#endif
#else
#define VISTALABBASEEXPORT
#define VISTALABMODULEEXPORT
#endif


//We only need wxMutexGuiEnter on GTK
#ifdef __WXGTK__
#define VISTALABENTERGUI wxMutexGuiEnter();
#define VISTALABLEAVEGUI wxMutexGuiLeave();
#else
#define VISTALABENTERGUI
#define VISTALABLEAVEGUI
#endif



namespace vistaLab {
//defined in vlglobal.cpp
VISTALABBASEEXPORT const char *translate(const char *str);
VISTALABBASEEXPORT const std::string getError();
VISTALABBASEEXPORT void setError(const char *error);
}


#ifdef VISTALAB_WXWIDGETS
#include <wx/intl.h>
#else
#define _(str) vistaLab::translate(str)
#endif

#define __(str) str

#endif // #ifndef _VLDEF_H
