/***************************************************************************
                    vlinputstreamfile.h  -  description
                            -------------------
    begin                : Fri Nov 16 2001
    copyright            : (C) 2001 by Fabian Wenzel
    email                : wenzel@tu-harburg.de

***************************************************************************/

/***************************************************************************
 *                                                                         *
 * This file is released under the the terms of the VistaLab public        *
 * License V1.5. See file COPYING for details.                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _VLINPUTSTREAMFILE_H_
#define _VLINPUTSTREAMFILE_H_

#include "vlmodule.h"

namespace vistaLab {

/***************************************************************************/
//! An intermediate class for input streams based on a file
/*!
 *  Even though this class is still abstract, it can be inherited by
 *  other input streams which might want to use a fileName as input.
 *
 * \ingroup Modules
 *
 * \author  Fabian Wenzel
 *
 ***************************************************************************/
class VISTALABBASEEXPORT inputStreamFile : public module  {
VISTALABTOPMODULE(inputStreamFile)
protected:
    inputStreamFile(const char *name, const char *helpString,
        const char *author, const char *eMail);
    virtual bool init();
    virtual void done();

    PARAMETER(vistaLab::fileName,m_fileName)

    bool m_endOfStream;
};

} // namespace vistaLab

#endif // #ifndef _VLINPUTSTREMAFILE_H_
